# TRANSFAC_MATRIX
[SAMPLE]
FIELD_ACCESSION java.lang.String M00001

[CORE]
FIELD_ANNOTATION  SELECT description FROM TRANSFAC__DATA__$MATRIX_DESCRIPTION WHERE AK_TRANSFAC__DATA__$MATRIX__acc='@FIELD_ACCESSION@' ORDER BY description
FIELD_MATRIX      SELECT CONCAT(A,',',C,',',G,',',T,',',consensus) FROM TRANSFAC__DATA__$MATRIX_BINDING_MATRIX WHERE AK_TRANSFAC__DATA__$MATRIX__acc='@FIELD_ACCESSION@' ORDER BY number ASC
FIELD_INFO        SELECT CONCAT( date,' ',info,' by ',author ) FROM TRANSFAC__DATA__$MATRIX_INFO WHERE AK_TRANSFAC__DATA__$MATRIX__acc='@FIELD_ACCESSION@'
FIELD_BASIS       SELECT basis FROM TRANSFAC__DATA__$MATRIX_BASIS WHERE AK_TRANSFAC__DATA__$MATRIX__acc='@FIELD_ACCESSION@'
FIELD_COMMENT     SELECT comment FROM TRANSFAC__DATA__$MATRIX_COMMENT WHERE AK_TRANSFAC__DATA__$MATRIX__acc='@FIELD_ACCESSION@'

#[LINKAGE_TO]
#LINK_ENCODING_GENE              SELECT AK_TRANSFAC__DATA__$GENE__acc FROM TRANSFAC__DATA__$FACTOR_ENCODING_GENE WHERE AK_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$GENE__acc
#LINK_INTERACTING_FACTOR         SELECT AK1_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_INTERACTING_FACTORS WHERE AK2_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@' ORDER BY AK1_TRANSFAC__DATA__$FACTOR__acc
#LINK_INTERACTING_FACTOR         SELECT AK2_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_INTERACTING_FACTORS WHERE AK1_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@' ORDER BY AK1_TRANSFAC__DATA__$FACTOR__acc

#[LINKAGE_FROM]
#LINK_ENCODING_GENE              SELECT AK_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_ENCODING_GENE WHERE AK_TRANSFAC__DATA__$GENE__acc='@FIELD_ACCESSION@' ORDER BY AK_TRANSFAC__DATA__$FACTOR__acc
#LINK_INTERACTING_FACTOR         SELECT AK1_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_INTERACTING_FACTORS WHERE AK2_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@' ORDER BY AK1_TRANSFAC__DATA__$FACTOR__acc
#LINK_INTERACTING_FACTOR         SELECT AK2_TRANSFAC__DATA__$FACTOR__acc FROM TRANSFAC__DATA__$FACTOR_INTERACTING_FACTORS WHERE AK1_TRANSFAC__DATA__$FACTOR__acc='@FIELD_ACCESSION@' ORDER BY AK1_TRANSFAC__DATA__$FACTOR__acc

[KEYWORD]
FIELD_ACCESSION   SELECT DISTINCT acc FROM TRANSFAC__DATA__$MATRIX WHERE %acc% LIKE '@keyword@' ORDER BY acc
FIELD_ANNOTATION  SELECT DISTINCT AK_TRANSFAC__DATA__$MATRIX__acc FROM TRANSFAC__DATA__$MATRIX_DESCRIPTION WHERE %description% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$MATRIX__acc
FIELD_INFO        SELECT DISTINCT AK_TRANSFAC__DATA__$MATRIX__acc FROM TRANSFAC__DATA__$MATRIX_INFO WHERE %CONCAT( date,' ',info,' by ',author )% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$MATRIX__acc
FIELD_BASIS       SELECT DISTINCT AK_TRANSFAC__DATA__$MATRIX__acc FROM TRANSFAC__DATA__$MATRIX_INFO WHERE %basis% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$MATRIX__acc
FIELD_COMMENT     SELECT DISTINCT AK_TRANSFAC__DATA__$MATRIX__acc FROM TRANSFAC__DATA__$MATRIX_COMMENT WHERE %comment% LIKE '@keyword@' ORDER BY AK_TRANSFAC__DATA__$MATRIX__acc

