# KEGG_PATHWAY
# KEGG Pathway
[SAMPLE]
identifier java.lang.Integer 10

[TEST_DATUM]
dme04010

[CORE]
FIELD_ANNOTATION  SELECT name FROM KEGG_PATHWAY__DATA, KEGG_PATHWAY__$PATHWAY WHERE KEGG_PATHWAY__DATA.AK_KEGG_PATHWAY__$PATHWAY__id=KEGG_PATHWAY__$PATHWAY.id AND KEGG_PATHWAY__DATA.id='@FIELD_ACCESSION@'
FIELD_IMAGE       SELECT gif FROM KEGG_PATHWAY__DATA__$IMAGES WHERE AK_KEGG_PATHWAY__DATA__id='@FIELD_ACCESSION@'

[LINKAGE_TO]
LINK_KEGG_GENE             SELECT DISTINCT AK_KEGG_GENES__DATA__id, X1 AS x1, X2 AS x2, Y1 AS y1, Y2 AS y2 FROM KEGG_PATHWAY__DATA__$CONFGENES WHERE AK_KEGG_PATHWAY__DATA__id='@FIELD_ACCESSION@'
LINK_KEGG_LIGAND_ENZYME    SELECT DISTINCT KEGG_LIGAND_ENZYME__DATA.id, X1 AS x1, X2 AS x2, Y1 AS y1, Y2 AS y2 FROM KEGG_PATHWAY__DATA__$CONFGENES, KEGG_LIGAND_ENZYME__DATA, KEGG_GENES__DATA, KEGG_PATHWAY__DATA__$GENESENZYME WHERE KEGG_PATHWAY__DATA__$CONFGENES.AK_KEGG_GENES__DATA__id=KEGG_GENES__DATA.id AND KEGG_PATHWAY__DATA__$GENESENZYME.AK_KEGG_GENES__DATA__id=KEGG_GENES__DATA.id AND KEGG_PATHWAY__DATA__$GENESENZYME.AK_KEGG_LIGAND_ENZYME__DATA__id=KEGG_LIGAND_ENZYME__DATA.id AND KEGG_PATHWAY__DATA__$CONFGENES.AK_KEGG_PATHWAY__DATA__id = KEGG_PATHWAY__DATA__$GENESENZYME.AK_KEGG_PATHWAY__DATA__id AND KEGG_PATHWAY__DATA__$GENESENZYME.AK_KEGG_PATHWAY__DATA__id = '@FIELD_ACCESSION@' ORDER BY KEGG_LIGAND_ENZYME__DATA.id
LINK_KEGG_LIGAND_COMPOUND  SELECT DISTINCT KEGG_LIGAND_COMPOUND__DATA.id, X1 AS x1, X2 AS x2, Y1 AS y1, Y2 AS y2 FROM KEGG_PATHWAY__DATA__$CONFCOMPOUNDS, KEGG_LIGAND_COMPOUND__DATA WHERE AK_KEGG_LIGAND_COMPOUND__DATA__id = id AND AK_KEGG_PATHWAY__DATA__id = '@FIELD_ACCESSION@' ORDER BY KEGG_LIGAND_COMPOUND__DATA.id
LINK_KEGG_PATHWAY          SELECT DISTINCT PATHWAY__DATA__id FROM KEGG_PATHWAY__DATA__$CONFPATHWAYS WHERE AK_KEGG_PATHWAY__DATA__id = '@FIELD_ACCESSION@' ORDER BY PATHWAY__DATA__id

[LINKAGE_FROM]
LINK_KEGG_GENE    SELECT DISTINCT AK_KEGG_PATHWAY__DATA__id, X1 AS x1, X2 AS x2, Y1 AS y1, Y2 AS y2 FROM KEGG_PATHWAY__DATA__$CONFGENES WHERE AK_KEGG_GENES__DATA__id='@FIELD_ACCESSION@'
LINK_KEGG_LIGAND_ENZYME    SELECT DISTINCT KEGG_PATHWAY__DATA__$GENESENZYME.AK_KEGG_PATHWAY__DATA__id, X1 AS x1, X2 AS x2, Y1 AS y1, Y2 AS y2 FROM KEGG_PATHWAY__DATA__$CONFGENES, KEGG_LIGAND_ENZYME__DATA, KEGG_GENES__DATA, KEGG_PATHWAY__DATA__$GENESENZYME WHERE KEGG_PATHWAY__DATA__$CONFGENES.AK_KEGG_GENES__DATA__id=KEGG_GENES__DATA.id AND KEGG_PATHWAY__DATA__$GENESENZYME.AK_KEGG_GENES__DATA__id=KEGG_GENES__DATA.id AND KEGG_PATHWAY__DATA__$GENESENZYME.AK_KEGG_LIGAND_ENZYME__DATA__id=KEGG_LIGAND_ENZYME__DATA.id AND KEGG_PATHWAY__DATA__$CONFGENES.AK_KEGG_PATHWAY__DATA__id = KEGG_PATHWAY__DATA__$GENESENZYME.AK_KEGG_PATHWAY__DATA__id AND KEGG_LIGAND_ENZYME__DATA.id = '@FIELD_ACCESSION@' ORDER BY KEGG_PATHWAY__DATA__$GENESENZYME.AK_KEGG_PATHWAY__DATA__id
LINK_KEGG_LIGAND_COMPOUND  SELECT DISTINCT AK_KEGG_PATHWAY__DATA__id, X1 AS x1, X2 AS x2, Y1 AS y1, Y2 AS y2 FROM KEGG_PATHWAY__DATA__$CONFCOMPOUNDS, KEGG_LIGAND_COMPOUND__DATA WHERE AK_KEGG_LIGAND_COMPOUND__DATA__id = id AND KEGG_LIGAND_COMPOUND__DATA.id = '@FIELD_ACCESSION@' ORDER BY AK_KEGG_PATHWAY__DATA__id
LINK_KEGG_PATHWAY          SELECT DISTINCT AK_KEGG_PATHWAY__DATA__id FROM KEGG_PATHWAY__DATA__$CONFPATHWAYS WHERE PATHWAY__DATA__id = '@FIELD_ACCESSION@' ORDER BY AK_KEGG_PATHWAY__DATA__id

[KEYWORD]
FIELD_ACCESSION   SELECT id FROM KEGG_PATHWAY__DATA WHERE %id% LIKE '@keyword@' ORDER BY id
FIELD_ANNOTATION  SELECT KEGG_PATHWAY__DATA.id FROM KEGG_PATHWAY__DATA, KEGG_PATHWAY__$PATHWAY WHERE KEGG_PATHWAY__$PATHWAY.id=KEGG_PATHWAY__DATA.AK_KEGG_PATHWAY__$PATHWAY__id AND %name% LIKE '@keyword@' ORDER BY id
